### File

`packages/components/eui-fieldset/eui-fieldset.component.ts`

### Description

Fieldset component that provides a grouped container with optional expand/collapse functionality and customizable label content.

### Implements

`AfterContentInit`

### Metadata

HostDirectives | `BaseStatesDirective` Inputs : euiPrimary euiSecondary euiSuccess euiInfo euiWarning euiDanger euiAccent euiVariant euiHighlighted
selector | `eui-fieldset`
imports | `NgTemplateOutlet` `BaseStatesDirective` `EUI_ICON` `EUI_ICON_BUTTON_EXPANDER` `EUI_ICON_STATE` `EUI_LABEL` `EUI_BUTTON`
templateUrl | `./eui-fieldset.component.html`
styleUrl | `./eui-fieldset.scss`

### Index

###### Properties

- Public collapseMenuLabel
- Public expandMenuLabel
- Public iconSvgType
- templates

###### Methods

- onToggle

###### Inputs

- e2eAttr
- hasDefaultIcon
- iconClass
- iconSvgFillColor
- iconSvgName
- id
- isExpandable
- isExpanded
- isFirst
- isLarge
- label

###### Outputs

- expand

###### HostBindings

- class

###### Accessors

- cssClasses

### Inputs

e2eAttr
Type : `string`
Default value : `'eui-fieldset'`
Element attribute for e2e testing

hasDefaultIcon
Type : `boolean`
Default value : `false`
Whether to show the default icon

iconClass
Type : `string`
CSS class for the icon

iconSvgFillColor
Type : `string`
Fill color for the SVG icon

iconSvgName
Type : `string`
Name of the SVG icon to display

id
Type : `string`
Unique identifier for the fieldset

isExpandable
Type : `boolean`
Default value : `false`
Whether the fieldset can be expanded/collapsed

isExpanded
Type : `boolean`
Default value : `true`
Whether the fieldset is currently expanded

isFirst
Type : `boolean`
Default value : `false`
Whether this is the first fieldset in a group

isLarge
Type : `boolean`
Default value : `false`
Whether to use large size styling

label
Type : `string`
Label text displayed in the fieldset header

### Outputs

expand
Type : `EventEmitter<string>`
Event emitted when the fieldset is expanded or collapsed

### HostBindings

class
Type : `string`
CSS classes applied to the host element

### Methods

onToggle
`onToggle()`
Handles expand/collapse toggle events Emits the fieldset ID when toggled Returns : `void`

### Properties

Public collapseMenuLabel
Type : `string`
Default value : `'Collapse '`
Label for collapse button accessibility

Public expandMenuLabel
Type : `string`
Default value : `'Expand '`
Label for expand button accessibility

Public iconSvgType
Use iconSvgName instead
Type : `string`
Default value : `'eui-info'`

templates
Type : `QueryList<EuiTemplateDirective>`
Decorators : `@ContentChildren(EuiTemplateDirective)`
Query list of template directives for content projection

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host element Returns : `string`

# results matching ""

# No results matching ""